%global pypi_name sphinx-tabs
%global python_module_name sphinx_tabs

Name:           python-sphinx-tabs
Version:        3.4.1
Release:    1%{?dist}
Summary:        Tabbed views for Sphinx
License:        MIT
URL:            https://github.com/executablebooks/sphinx-tabs
Source0:        https://github.com/executablebooks/%{pypi_name}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch


%global _description %{expand:
Create tabbed content in Sphinx documentation when building HTML.}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-regressions)
BuildRequires:  python3dist(sphinx)

%generate_buildrequires
%pyproject_buildrequires


%description %{_description}


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{_description}


%package -n python3-%{pypi_name}-doc
Summary:        HTML documentation for %{pypi_name}
Requires:       python3-%{pypi_name}

%description -n python3-%{pypi_name}-doc
%{summary}.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

sed -i "s/docutils~=0.18.0/docutils<0.21.0/" setup.py

%build
%pyproject_wheel

PYTHONPATH=$(pwd) sphinx-build -b html docs html_docs


%install
%pyproject_install
%pyproject_save_files %{python_module_name}


%check
%pytest -k 'not test_rinohtype_pdf'

%files -n  python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.md

%files -n python3-%{pypi_name}-doc
%doc html_docs/*


%changelog
* Tue Aug 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-1
- initial build
